Domain tersuai
GET https://digily.link/api/domains/
curl --request GET \
--url 'https://digily.link/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Butiran | Penerangan |
|---|---|---|
| search | Pilihan Rentetan | Rentetan carian. |
| search_by | Pilihan Rentetan | Medan apa yang anda cari. Nilai yang dibenarkan ialah: host. |
| is_enabled | Pilihan Boolean | |
| order_by | Pilihan Rentetan | Medan yang mana untuk mengisih keputusan mengikut. Nilai yang dibenarkan ialah: domain_id , datetime , last_datetime , host. |
| order_type | Pilihan Rentetan | Susunan hasil. Nilai yang dibenarkan ialah: ASC untuk susunan menaik, dan DESC untuk susunan menurun. |
| page | Pilihan Integer | Nombor halaman yang anda mahu hasil daripadanya. Lalai kepada 1. |
| results_per_page | Pilihan Integer | Berapa banyak hasil yang anda mahu setiap halaman. Nilai yang dibenarkan ialah: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Lalai kepada 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-20 23:15:42",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/domains?page=1",
"last": "https://digily.link/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/domains?page=1"
}
}
GET https://digily.link/api/domains/{domain_id}
curl --request GET \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-20 23:15:42",
}
}
POST https://digily.link/api/domains
| Parameter | Butiran | Penerangan |
|---|---|---|
| host | Diperlukan Rentetan | - |
| custom_index_url | Pilihan Rentetan | - |
| custom_not_found_url | Pilihan Rentetan | - |
curl --request POST \
--url 'https://digily.link/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://digily.link/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://digily.link/api/domains/{domain_id}
| Parameter | Butiran | Penerangan |
|---|---|---|
| host | Pilihan Rentetan | - |
| custom_index_url | Pilihan Rentetan | - |
| custom_not_found_url | Pilihan Rentetan | - |
curl --request POST \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://digily.link/api/domains/{domain_id}
curl --request DELETE \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \